Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230012 - kvm: $RPM_OPT_FLAGS not used
Summary: kvm: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kvm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-25 22:53 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-26 21:00:48 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-02-25 22:53:46 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

kvm is built without using $RPM_OPT_FLAGS.  qemu/Makefile appears to support
"make CFLAGS=..." builds, but user/Makefile doesn't (setting them that way will
override some needed options or they all need to be redefined) so the fix is a
bit more work than just that, preferably upstream...

Comment 1 Jeremy Katz 2007-02-25 23:23:45 UTC
Note that we definitely don't want RPM_OPT_FLAGS used for the qemu portions
exactly for the same reasons that we don't want them for qemu in general (we're
using gcc 3.4).  kvmctl I'll have to look a little closer at to be more sure of
what we want to do.

Comment 2 Ville Skyttä 2007-02-26 18:44:45 UTC
$RPM_OPT_FLAGS do not need to be used as is, but they should be used as the
basis and unwanted options filtered out instead of ignoring everything.  And
some options from current optflags work with gcc 3.4 too.  Rationale for
deviating from them should also be documented in the specfile.
http://fedoraproject.org/wiki/Packaging/Guidelines#CompilerFlags

Comment 3 Jeremy Katz 2007-02-26 21:00:48 UTC
There was a long thread on fedora-devel-list about why qemu _can't_ use the
standard optflags if you want the dyngen stuff to keep working, though.  Only
partially due to gcc 3.4 (although istr there _are_ cases where things don't
work with gcc 3.4)

But made it so that we use RPM_OPT_FLAGS where it's appropriate to do so.


Note You need to log in before you can comment on or make changes to this bug.